org.apache.ignite.cache.store.cassandra.session.pool

## Class IdleSession

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.pool.IdleSession

-     public class IdleSession
      extends Object

  Simple wrapper for idle Cassandra session returned to pool, responsible for monitoring session expiration and its closing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdleSession(com.datastax.driver.core.Session ses, long expirationTimeout)` Creates instance of Cassandra driver session wrapper.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.datastax.driver.core.Session` | `driverSession()` Returns wrapped Cassandra driver session.
    `boolean` | `expired()` Checks if Cassandra driver session expired.
    `void` | `release()` Closes wrapped Cassandra driver session

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdleSession

          public IdleSession(com.datastax.driver.core.Session ses,
                             long expirationTimeout)

      Creates instance of Cassandra driver session wrapper.
      Parameters:
        `ses` - Cassandra driver session.
        `expirationTimeout` - Session expiration timeout.

  - ### Method Detail

    - #### expired

          public boolean expired()

      Checks if Cassandra driver session expired.
      Returns:
        true if session expired.

    - #### driverSession

          public com.datastax.driver.core.Session driverSession()

      Returns wrapped Cassandra driver session.
      Returns:
        Cassandra driver session.

    - #### release

          public void release()

      Closes wrapped Cassandra driver session

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023